org.apache.olingo.odata2.api.exception

## Class ODataPreconditionFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.odata2.api.exception.ODataException
      - - org.apache.olingo.odata2.api.exception.ODataMessageException
        - - org.apache.olingo.odata2.api.exception.ODataHttpException
          - - org.apache.olingo.odata2.api.exception.ODataPreconditionFailedException

- All Implemented Interfaces:
    Serializable

      public class ODataPreconditionFailedException
      extends ODataHttpException

  Exceptions of this class will result in a HTTP Status 412 Precondition Failed.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageReference` | `COMMON`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `httpStatus`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `errorCode, messageReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataPreconditionFailedException(MessageReference context)`
    `ODataPreconditionFailedException(MessageReference context, String errorCode)`
    `ODataPreconditionFailedException(MessageReference context, Throwable cause)`
    `ODataPreconditionFailedException(MessageReference context, Throwable cause, String errorCode)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `getHttpStatus`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `createMessageReference, getErrorCode, getMessage, getMessageReference`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataException

      `getApplicationExceptionCause, getHttpExceptionCause, getMessageExceptionCause, isCausedByApplicationException, isCausedByHttpException, isCausedByMessageException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMMON

          public static final MessageReference COMMON

  - ### Constructor Detail

    - #### ODataPreconditionFailedException

          public ODataPreconditionFailedException(MessageReference context)

    - #### ODataPreconditionFailedException

          public ODataPreconditionFailedException(MessageReference context,
                                                  Throwable cause)

    - #### ODataPreconditionFailedException

          public ODataPreconditionFailedException(MessageReference context,
                                                  String errorCode)

    - #### ODataPreconditionFailedException

          public ODataPreconditionFailedException(MessageReference context,
                                                  Throwable cause,
                                                  String errorCode)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.